Index: favicon.ico
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = image/vnd.microsoft.icon
Property changes on: favicon.ico
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+image/vnd.microsoft.icon
\ No newline at end of property
Index: logrotate.nginx
===================================================================
--- logrotate.nginx (nonexistent)
+++ logrotate.nginx (revision 5)
@@ -0,0 +1,12 @@
+/var/log/nginx/*.log {
+ su @USER@ @GROUP@
+ rotate 10
+ notifempty
+ size=5M
+ compress
+ delaycompress
+ sharedscripts
+ postrotate
+ /etc/rc.d/rc.nginx rotate
+ endscript
+}
Index: rc.nginx
===================================================================
--- rc.nginx (nonexistent)
+++ rc.nginx (revision 5)
@@ -0,0 +1,96 @@
+#!/bin/sh
+#
+# Nginx daemon control script:
+#
+
+BIN=/usr/sbin/nginx
+CONF=/etc/nginx/nginx.conf
+PID=/var/run/nginx.pid
+
+nginx_start() {
+ # Sanity checks.
+ if [ ! -r $CONF ]; then # no config file, exit:
+ echo "$CONF does not appear to exist. Abort."
+ exit 1
+ fi
+
+ if [ -s $PID ]; then
+ echo "Nginx appears to already be running?"
+ exit 1
+ fi
+
+ echo "Starting Nginx server daemon..."
+ if [ -x $BIN ]; then
+ $BIN -c $CONF
+ fi
+}
+
+nginx_test_conf() {
+ echo "Checking configuration for correct syntax and"
+ echo "then trying to open files referenced in configuration..."
+ $BIN -t -c $CONF
+}
+
+nginx_term() {
+ echo "Shutdown Nginx quickly..."
+ kill -TERM $(cat $PID)
+}
+
+nginx_stop() {
+ echo "Shutdown Nginx gracefully..."
+ kill -QUIT $(cat $PID)
+}
+
+nginx_reload() {
+ echo "Reloading Nginx configuration..."
+ kill -HUP $(cat $PID)
+}
+
+nginx_upgrade() {
+ echo "Upgrading to the new Nginx binary."
+ echo "Make sure the Nginx binary has been replaced with new one"
+ echo "or Nginx server modules were added/removed."
+ kill -USR2 $(cat $PID)
+ sleep 3
+ kill -QUIT $(cat $PID.oldbin)
+}
+
+nginx_rotate() {
+ echo "Rotating Nginx logs..."
+ kill -USR1 $(cat $PID)
+}
+
+nginx_restart() {
+ nginx_stop
+ sleep 3
+ nginx_start
+}
+
+case "$1" in
+ check)
+ nginx_test_conf
+ ;;
+ start)
+ nginx_start
+ ;;
+ term)
+ nginx_term
+ ;;
+ stop)
+ nginx_stop
+ ;;
+ reload)
+ nginx_reload
+ ;;
+ restart)
+ nginx_restart
+ ;;
+ upgrade)
+ nginx_upgrade
+ ;;
+ rotate)
+ nginx_rotate
+ ;;
+ *)
+ echo "usage: `basename $0` {check|start|term|stop|reload|restart|upgrade|rotate}"
+esac
Index: .
===================================================================
--- . (nonexistent)
+++ . (revision 5)
Property changes on: .
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,73 ##
+
+# install dir
+dist
+
+# Target build dirs
+.a1x-newlib
+.a2x-newlib
+.at91sam7s-newlib
+
+.build-machine
+
+.a1x-glibc
+.a2x-glibc
+.h3-glibc
+.h5-glibc
+.i586-glibc
+.i686-glibc
+.imx6-glibc
+.jz47xx-glibc
+.makefile
+.am335x-glibc
+.omap543x-glibc
+.p5600-glibc
+.power8-glibc
+.power8le-glibc
+.power9-glibc
+.power9le-glibc
+.m1000-glibc
+.riscv64-glibc
+.rk328x-glibc
+.rk33xx-glibc
+.rk339x-glibc
+.s8xx-glibc
+.s9xx-glibc
+.x86_64-glibc
+
+# Hidden files (each file)
+.makefile
+.dist
+.rootfs
+
+# src & hw requires
+.src_requires
+.src_requires_depend
+.requires
+.requires_depend
+
+# Tarballs
+*.gz
+*.bz2
+*.lz
+*.xz
+*.tgz
+*.txz
+
+# Signatures
+*.asc
+*.sig
+*.sign
+*.sha1sum
+
+# Patches
+*.patch
+
+# Descriptions
+*.dsc
+*.txt
+
+# Default linux config files
+*.defconfig
+
+# backup copies
+*~